# Ogre::HardwareVertexBufferSharedPtr Class Reference

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareVertexBuffer.h>`

Inheritance diagram for Ogre::HardwareVertexBufferSharedPtr:

[legend]
List of all members.

## Public Member Functions

| HardwareVertexBufferSharedPtr ()
| HardwareVertexBufferSharedPtr (HardwareVertexBuffer *buf)
OGRE_AUTO_SHARED_MUTEX | SharedPtr ()
| Constructor, does not initialise the SharedPtr.
| SharedPtr (Y *rep, SharedPtrFreeMethod freeMethod=SPFM_DELETE)
| Constructor.
| SharedPtr (const SharedPtr &r)
| SharedPtr (const SharedPtr< Y > &r)
HardwareVertexBuffer & | operator * () const
HardwareVertexBuffer * | operator-> () const
HardwareVertexBuffer * | get () const
void | bind (HardwareVertexBuffer *rep, SharedPtrFreeMethod freeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwareVertexBuffer * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwareVertexBuffer > &other)

## Protected Attributes

HardwareVertexBuffer * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 64 of file OgreHardwareVertexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( |  | ) |

| Definition at line 67 of file OgreHardwareVertexBuffer.h.

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( | HardwareVertexBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwareVertexBuffer >::bind | ( | HardwareVertexBuffer * | rep,
|  | SharedPtrFreeMethod | freeMethod = `SPFM_DELETE`
| ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 159 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareVertexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 215 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwareVertexBuffer >::freeMethod | ( |  | ) | const`[inherited]`

| Definition at line 173 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::get | ( | void |  | ) | const`[inherited]`

| Definition at line 153 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 172 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareVertexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 175 of file OgreSharedPtr.h.

HardwareVertexBuffer & Ogre::SharedPtr< HardwareVertexBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 152 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 189 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 177 of file OgreSharedPtr.h.

Ogre::SharedPtr< HardwareVertexBuffer >::SharedPtr | ( | const SharedPtr< Y > & | r | ) | `[inherited]`

| Definition at line 116 of file OgreSharedPtr.h.

Ogre::SharedPtr< HardwareVertexBuffer >::SharedPtr | ( | const SharedPtr< HardwareVertexBuffer > & | r | ) | `[inherited]`

| Definition at line 85 of file OgreSharedPtr.h.

Ogre::SharedPtr< HardwareVertexBuffer >::SharedPtr | ( | Y * | rep,
|  | SharedPtrFreeMethod | freeMethod = `SPFM_DELETE`
| ) | `[explicit, inherited]`

Constructor.

Parameters:

  | rep | The pointer to take ownership of
  | freeMode | The mechanism to use to free the pointer

Definition at line 77 of file OgreSharedPtr.h.

OGRE_AUTO_SHARED_MUTEX Ogre::SharedPtr< HardwareVertexBuffer >::SharedPtr | ( |  | ) | `[inherited]`

Constructor, does not initialise the SharedPtr.

Remarks:
  Dangerous! You have to call bind() before using the SharedPtr.

Definition at line 67 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareVertexBuffer >::swap | ( | SharedPtr< HardwareVertexBuffer > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 239 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareVertexBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 168 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareVertexBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 169 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareVertexBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 170 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::pRep`[protected, inherited]`

| Definition at line 58 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareVertexBuffer >::pUseCount`[protected, inherited]`

| Definition at line 59 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwareVertexBuffer >::useFreeMethod`[protected, inherited]`

| Definition at line 60 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwareVertexBuffer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:48:20 2009